org.apache.cassandra.io.util

## Class DataOutputStreamPlus

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.cassandra.io.util.DataOutputStreamPlus

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.lang.AutoCloseable, DataOutputPlus

Direct Known Subclasses:
  BufferedDataOutputStreamPlus, UnbufferedDataOutputStreamPlus

    public abstract class DataOutputStreamPlus
    extends java.io.OutputStream
    implements DataOutputPlus

Abstract base class for DataOutputStreams that accept writes from ByteBuffer or Memory and also provide access to the underlying WritableByteChannel associated with their output stream. If no channel is provided by derived classes then a wrapper channel is provided.

### Field Summary

Fields
`protected java.nio.channels.WritableByteChannel` `channel`

### Constructor Summary

Constructors
`protected` `DataOutputStreamPlus()`
`protected` `DataOutputStreamPlus(java.nio.channels.WritableByteChannel channel)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected java.nio.channels.WritableByteChannel` `newDefaultChannel()`
`protected static byte[]` `retrieveTemporaryBuffer(int minSize)`

### Methods inherited from class java.io.OutputStream

`close, flush, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.io.util.DataOutputPlus

`applyToChannel, hasPosition, position, write, write, writeUnsignedVInt, writeVInt`

### Methods inherited from interface java.io.DataOutput

`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Field Detail

#### channel

    protected final java.nio.channels.WritableByteChannel channel

### Constructor Detail

#### DataOutputStreamPlus

    protected DataOutputStreamPlus()

#### DataOutputStreamPlus

    protected DataOutputStreamPlus(java.nio.channels.WritableByteChannel channel)

### Method Detail

#### retrieveTemporaryBuffer

    protected static byte[] retrieveTemporaryBuffer(int minSize)

#### newDefaultChannel

    protected java.nio.channels.WritableByteChannel newDefaultChannel()